Bug 159949 - Update port: security/maia Security fixes, code changes.
Summary: Update port: security/maia Security fixes, code changes.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-21 03:50 UTC by Janky
Modified: 2011-09-04 17:10 UTC (History)
0 users

See Also:


Attachments
maia-1.0-r1575.diff (44.98 KB, patch)
2011-08-21 03:50 UTC, Janky
no flags Details | Diff
maia-1.0.3.r1575.diff (50.31 KB, patch)
2011-08-21 23:01 UTC, ek
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janky 2011-08-21 03:50:01 UTC
Some major code changes, security fixes, updated code for PHP and Perl, updates web interface, daemon and config file name changes...
Comment 1 Edwin Groothuis freebsd_committer 2011-08-21 03:50:14 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees freebsd_committer 2011-08-21 10:12:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 3 Chris Rees freebsd_committer 2011-08-21 10:39:22 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Chris Rees freebsd_committer 2011-08-21 10:39:28 UTC
Hi,

Thanks for your revised patch. I've merged the changes you've made with 
mine, with a few caveats:

- I don't think it's a good idea to rename the rc script and variables 
-- people could have been using those for a while!

- I've changed the version numbers a little so the new one is 
numerically greater than the old one.

- I've changed the perl dependencies before bsd.port.pre.mk to use 
packages -- SITE_PERL is defined in bsd.perl.mk which hopefully will 
become an optional include one day and these kind of things are delaying it.

http://www.bayofrum.net/~crees/patches/maia-svn-diff.diff

If you're really desperate to rename the rc script etc we can, but it'd 
need a note in UPDATING.

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 5 ek 2011-08-21 23:01:30 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Chris,

On 08/21/2011 03:39 AM, Chris Rees wrote:
> Hi,
> 
> Thanks for your revised patch. I've merged the changes you've made with
> mine, with a few caveats:
> 
> - I don't think it's a good idea to rename the rc script and variables
> -- people could have been using those for a while!
> 
> - I've changed the version numbers a little so the new one is
> numerically greater than the old one.
> 
> - I've changed the perl dependencies before bsd.port.pre.mk to use
> packages -- SITE_PERL is defined in bsd.perl.mk which hopefully will
> become an optional include one day and these kind of things are delaying
> it.
> 
> http://www.bayofrum.net/~crees/patches/maia-svn-diff.diff
> 
> If you're really desperate to rename the rc script etc we can, but it'd
> need a note in UPDATING.
> 
> Chris
> 

	I believe keeping the Maia rc script labeled as "maiad" along with
variables changed is going to be the best route as Maia-Mailguard has
removed the "amavisd*" naming completely (or are still working at it...)
so the daemon name has changed and it would make more sense. Especially
now that the configuration is called "maiad.conf" now as opposed to the
old naming style with "amavisd.conf". *shrugs* It's definitely not an
absolute requirement, but it's going to have to change some time in the
future so it might as well be now? As far as the mention it UPDATING,
that won't be a problem. Maia has changed a lot of things in these last
couple months so I figured those should probably be mentioned as well.
Can I just relay the UPDATE information to you and get it committed or
is there better way?

	I adjusted the version numbers as you suggested and it should make much
more sense now. Good idea. :)

	Made all the suggested changes to the perl stuffs as well. I believe
everything should be covered with this next diff (attached) so lemme
know if there's anything else to get this moving along.

Thanks for all the help!
- -Janky Jay, III

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5RgDoACgkQZ5znzUsaCyTrbwCgjdKq9jW/phpsiIqpcL6M3WEG
gnoAniWOkljQ1ndJaeaaoZLhZDmbRvx1
=liTO
-----END PGP SIGNATURE-----
Comment 6 Chris Rees freebsd_committer 2011-08-28 13:27:34 UTC
State Changed
From-To: feedback->analyzed

Taken for Tinderbox run 
http://www.bayofrum.net/tb/index.php?action=describe_port&id=1270
Comment 7 Chris Rees 2011-08-28 19:20:32 UTC
Hey Justin,

Hm, this is a very chatty PR!

Have you actually added maia-1.0.3-r1575.tar.gz to 
http://www.purplehat.org/downloads/maia/ yet?

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 8 ek 2011-08-28 20:20:23 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Chris,

	Sorry. File was there just improperly named. Should be fine now.

On 08/28/2011 12:20 PM, Chris Rees wrote:
> Hey Justin,
> 
> Hm, this is a very chatty PR!
> 
> Have you actually added maia-1.0.3-r1575.tar.gz to
> http://www.purplehat.org/downloads/maia/ yet?
> 
> Chris
> 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk5alPcACgkQZ5znzUsaCySvSACgh0hOKJMot6KadIxLjwvUM14M
CtUAnRKuylJxDLtgHVbRYod5a+o9Wd7g
=M44m
-----END PGP SIGNATURE-----
Comment 9 dfilter service freebsd_committer 2011-08-29 16:57:32 UTC
crees       2011-08-29 15:57:19 UTC

  FreeBSD ports repository

  Modified files:
    security/maia        Makefile pkg-plist 
    security/maia/files  .placeholder pkg-deinstall.in 
                         pkg-install.in pkg-message.in 
  Added files:
    security/maia/files  maiad.in 
  Removed files:
    security/maia/files  maia.sh.in 
  Log:
  - Update to latest SVN
  - While here, fix perl depends to use packages
  - Use USERS and GROUPS
  - Add some more OPTIONS
  - Rename rc script to maiad
  
  PR:             ports/159949
  Submitted by:   Janky Jay III <ek@purplehat.org> (maintainer)
  
  Revision  Changes    Path
  1.8       +165 -77   ports/security/maia/Makefile
  1.2       +0 -1      ports/security/maia/files/.placeholder
  1.3       +0 -46     ports/security/maia/files/maia.sh.in (dead)
  1.1       +46 -0     ports/security/maia/files/maiad.in (new)
  1.2       +1 -11     ports/security/maia/files/pkg-deinstall.in
  1.2       +1 -31     ports/security/maia/files/pkg-install.in
  1.2       +8 -16     ports/security/maia/files/pkg-message.in
  1.3       +551 -6    ports/security/maia/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Chris Rees freebsd_committer 2011-08-29 16:58:49 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!
Comment 11 dfilter service freebsd_committer 2011-08-29 17:05:13 UTC
crees       2011-08-29 16:05:04 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
  Log:
  Document the changed rc script name for maiad.
  
  PR:             ports/159949
  
  Revision  Changes    Path
  1.1135    +9 -1      ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2011-09-04 17:08:54 UTC
crees       2011-09-04 16:08:46 UTC

  FreeBSD ports repository

  Modified files:
    .                    UIDs UPDATING 
  Log:
  Clarify UPDATING entry for maiad and update vscan user to new home dir.
  
  PR:             ports/159949
  
  Revision  Changes    Path
  1.175     +2 -2      ports/UIDs
  1.1139    +11 -3     ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"